
.btn {
	border: none;
	outline: none;
	color: $black;
	font-size: 0;
	line-height: 0;
	cursor: pointer;
	font-weight: 700;
	position: relative;
	white-space: nowrap;
	display: inline-block;
	text-decoration: none;
	background: transparent;
	font-family: $font-family-head;

	span {
		height: 20px;
		overflow: hidden;
		position: relative;
		display: inline-block;
		transition: .3s all ease-in;
		font-size: font-size-rel(16px);
		line-height: font-size-rel(20px);

		&:before {
			content: attr(data-text);
			position: absolute;
			top: -30px;
		}
	}

	&:hover {
		color: $black;
		text-decoration: none;

		span {
			transition: .3s all ease-in;
			line-height: 80px;
		}
	}

	&:active {
		color: $black;
	}

	&:focus,
	&.focus {
		outline: 0;
	}

	@media (min-width: $screen-md-min) {

		span {
			font-size: font-size-rel(18px);
		}
	}
}

.btn-line {

	@media (min-width: $screen-md-min) {


		&::before,
		&::after {
			content: '';
			position: absolute;
			background-color: $red;
			z-index: 1;
			height: 1px;
			margin-left: calc(100% + 20px);
		}

		&::before {
			width: 0;
			left: 0;
			bottom: 50%;
			transition: width ease 0.4s;
		}

		&::after {
			width: 160px;
			left: 0;
			bottom: 50%;
			transition: all ease 0.6s;
		}

		&:hover {

			&::before {
				width: 160px;
			}

			&::after {
				left: 100%;
				width: 0;
				transition: all ease 0.2s;
			}
		}
	}
}

.btn-gray {
	color: $gray-400;

	&:hover {
		color: $gray-400;
	}

	&:active {
		color: $gray-400;
	}
}

.btn-down {
	margin: 0;
	padding: 0;
	width: 80px;
	height: 80px;
	border: none;
	outline: none;
	font-size: 0;
	line-height: 0;
	background: $red url("../img/subtract.svg") 50% 50% no-repeat;
	position: relative;
	border-radius: 50%;
	display: inline-block;
	transition: .3s;

	&:hover {
		background-color: #e81214;
		transition: .3s;
	}
}